<!DOCTYPE html>
<html lang="en-GB">
<head>
  <meta charset="UTF-8" />
  <title>Site Map | Accessibility Works</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <link rel="stylesheet" type="text/css" media="screen" href="css/verdemoderna.css" title="default" />
  <meta name="theme-color" media="(prefers-color-scheme: light)" content="#FFFFFF" />
  <meta name="theme-color" media="(prefers-color-scheme: dark)" content="#000000" />

  <meta name="robots" content="noindex, nofollow" />
  <meta name="googlebot" content="noindex, nofollow" />
  <link rel="canonical" href="https://cstrobbe.gitlab.io/A11yWorks/sitemap.html" />
  <meta name="description" content="Site Map for the website Accessibility Works." />
</head>
<body>
  <header id="header">
    <h1><span class="h1txt">Site Map</span></h1>
  </header>

  <!--nav id="nav">
  </nav-->

  <main id="main">
    <h2><abbr>WCAG</abbr> 2.1 Success Criterion 4.1.1 (Parsing)</h2>
    <ul>
      <li><a href="wcagtests/html5/sc_4.1.1_syntax/index.html">Understanding <abbr>WCAG</abbr> 2.1 Success Criterion 4.1.1</a>
      </li>
      <li>Test files for success criterion 4.1.1:
        <ul>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/head-body-withouttags.html"><code>head</code> and <code>body</code> elements without start and end tags</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/p-without-endtag.html"><code>p</code> element without end tag</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/p-without-starttag.html"><code>p</code> element without start tag</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/nested-span-elements.html">Nested <code>span</code> elements</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/nested-a-links.html">Nested <code>a</code> elements</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/em-b-overlappingelements.html">Overlapping <code>em</code> and <code>b</code> elements</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/form-id-input-id.html"><code>form</code> element and <code>input</code> element with the same <code>id</code> attribute</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/span-onclick-pseudolink.html"><code>span</code> element with <code>onclick</code> attribute to create a fake link</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/issues-combined.html">page combining all of the above issues or features</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/issues-combined-two.html">page combining all of the above issues or features with a few additional ones</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/form-div-inside-button.html"><code>div</code> inside <code>button</code> (<abbr>HTML</abbr> 5 version)</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/form-div-inside-button-xhtml.html"><code>div</code> inside <code>button</code> (<abbr>XHTML</abbr> version of previous file)</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/form-ambiguous-label.html">Ambiguous label in form</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/div-child-of-ul.html"><code>div</code> inside <code>ul</code></a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/empty-link-child-of-button.html">Empty link inside <code>button</code></a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/unquoted-attribute-with-whitespace-value-html.html">Unquoted Attribute with Whitespace Value (<abbr>HTML</abbr> 5 version)</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/unquoted-attribute-with-whitespace-value-xhtml.html">Unquoted Attribute with Whitespace Value (<abbr>XHTML</abbr> 1.0 version)</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/span-with-href-attribute.html"><code>span</code> with <code>href</code> Attribute</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/form-input-with-label-and-duplicate-description.html">Input Field with Label and Duplicate Description</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/list-items-wai-aria-roles.html">Lists relying on <abbr>WAI</abbr>-<abbr>ARIA</abbr> Roles</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/link-inside-label.html">Link Inside Label</a></li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/shortest-valid-document.html">Minimalistic <abbr>HTML</abbr> 5 document</a>.</li>
          <li><a href="wcagtests/html5/sc_4.1.1_syntax/shortest-valid-xhtml-document.xhtml">Minimalistic <abbr>XHTML</abbr> 1.0 Strict document</a>.</li>
        </ul>
      </li>
      <li><a href="wcagtests/html5/sc_4.1.1_syntax/wcag-syntax-bookmarklet.html"><abbr>WCAG</abbr> Syntax Only Bookmarklet</a>
      </li>
    </ul>

    <h2>Test Files for Various Success Criteria</h2>
    <ul>
      <li><a href="wcagtests/html5/HTML5_SummaryDetailsTest.html">test for <code>details</code> and <code>summary</code> elements</a>:
        <ul>
          <li><a href="wcagtests/html5/DetailsSummary_ARIA.html">Test for <code>details</code> and <code>summary</code> with <abbr>ARIA</abbr></a></li>
          <li><a href="wcagtests/html5/DetailsSummary_dl.html">Test for <code>details</code> and <code>summary</code> with <code>dl</code></a></li>
          <li><a href="wcagtests/html5/DetailsSummary_dl_aria.html">Test for <code>details</code> and <code>summary</code> with <code>dl</code> and <abbr>ARIA</abbr></a></li>
          <li><a href="wcagtests/html5/DetailsSummary_Plain.html">Test for <code>details</code> and <code>summary</code> (Plain)</a></li>
          <li><a href="wcagtests/html5/DetailsSummary_Plain_Open.html">Test for <code>details</code> and <code>summary</code> (Plain, Open)</a></li>
          <li><a href="wcagtests/html5/DetailsSummary_tabindex.html">Test for <code>details</code> and <code>summary</code> with <code>tabindex</code></a></li>
        </ul>
      </li>
      <li><a href="wcagtests/html5/LabelBelowTextarea_ShowOnBottomBorder.html">test for <code>label</code> below <code>textarea</code></a></li>
      <li><a href="wcagtests/html5/head-link-rel/index.html">tests for the <code>rel</code> attribute on <code>link</code> and <code>a</code> elements</a>:
        <ul>
          <li><a href="wcagtests/html5/head-link-rel/link-a-1.html">Page Five &mdash; Test Site for the <code>rel</code> Attribute</a></li>
          <li><a href="wcagtests/html5/head-link-rel/link-a-2.html">Page Six &mdash; Test Site for the <code>rel</code> Attribute</a></li>
          <li><a href="wcagtests/html5/head-link-rel/link-a-4.html">Page Eight &mdash; Test Site for the <code>rel</code> Attribute</a></li>
          <li><a href="wcagtests/html5/head-link-rel/link-rel-1.html">Page One &mdash; Test Site for the <code>rel</code> Attribute</a></li>
          <li><a href="wcagtests/html5/head-link-rel/link-rel-2.html">Page Two &mdash; Test Site for the <code>rel</code> Attribute</a></li>
          <li><a href="wcagtests/html5/head-link-rel/link-rel-3.html">Page Three &mdash; Test Site for the <code>rel</code> Attribute</a></li>
          <li><a href="wcagtests/html5/head-link-rel/link-rel-4.html">Page Four &mdash; Test Site for the <code>rel</code> Attribute</a></li>
        </ul>
      </li>
      <li><a href="wcagtests/html5/textarea-label/index.html">test page for <code>textarea</code> and <code>label</code></a></li>
      <li><a href="wcagtests/html5/required-attribute/index.html">test page for <code>required</code> and <code>aria-required</code></a></li>
      <li><a href="wcagtests/html5/tool-test-cases/index.html">Tests for Automated Accessibility Checkers</a>:
        <a href="wcagtests/html5/tool-test-cases/eu-egovernment-benchmark-2022-1.html">Miscellaneous Issues</a>,
        <a href="wcagtests/html5/tool-test-cases/form-labels-01.html">Form with labels swapped programmatically: test for success criteria 1.3.1, 3.1.1, 3.1.2, 3.3.2</a>
      </li>
      <li><a href="wcagtests/html5/combined-select-lists/index.html">Tests for Combined Select Lists</a>
        <a href="wcagtests/html5/combined-select-lists/combined-select-1.html">Combined Select Lists: Test 1</a>
      </li>
      <li>Test files for <a href="https://www.w3.org/TR/2022/CR-WCAG22-20220906/#focus-not-obscured-minimum">success criterion 2.4.12 in the September 2022 Candidate Recommendation snapshop of <abbr>WCAG</abbr> 2.2</a>:
        <ul>
          <li><a href="wcagtests/html5/sc_2.4.12_focus-not-obscured/index.html">Tests for Success Criterion 2.4.12: Focus Not Obscured (Minimum)</a></li>
          <li><a href="wcagtests/html5/sc_2.4.12_focus-not-obscured/focus-not-obscured-1.html">Test 1 for Success Criterion 2.4.12</a></li>
          <li><a href="wcagtests/html5/sc_2.4.12_focus-not-obscured/focus-not-obscured-2.html">Test 2 for Success Criterion 2.4.12</a></li>
        </ul>
      </li>
      <li><a href="wcagtests/html5/tabindex/index.html">Test for <code>tabindex</code> attribute (Success Criterion 2.4.3 Focus Order)</a> (January 2023).</li>
      <li>
        <a href="wcagtests/html5/modal-dialog/index.html">Test Pages for Modal Dialogs</a> (January 2023):
        <ul>
          <li><a href="wcagtests/html5/modal-dialog/modal-dialog-00.html">Test Page for Old-Fashioned Modal Dialog</a></li>
          <li><a href="wcagtests/html5/modal-dialog/modal-dialog-01.html">Test Page for Modal Dialog Using <abbr>HTML</abbr></a></li>
        </ul>
      </li>
      <li><a href="wcagtests/html5/multilingual-pages/index.html">Tests for Multilingual Content</a>:
        <ul>
          <li><a href="wcagtests/html5/multilingual-pages/index.html">Test: English as Main Language (<code>lang</code> Attribute)</a></li>
        </ul>
      </li>
      <li><a href="wcagtests/html5/extended-descriptions/index.html">Test Pages for Extended Descriptions</a> (March 2023):
        <ul>
          <li><a href="wcagtests/html5/extended-descriptions/pie-chart-aria-describedby.html">Test Page for Pie Chart with <code>aria-describedby</code> Attribute</a></li>
          <li><a href="wcagtests/html5/extended-descriptions/pie-chart-aria-details.html">Test Page for Pie Chart with <code>aria-details</code> Attribute</a></li>
          <li><a href="wcagtests/html5/extended-descriptions/video-native-stallman-aria-details.html">Test Page for Native Video Player with Extended Description and <code>aria-details</code></a></li>
          <li><a href="wcagtests/html5/extended-descriptions/video-native-stallman-aria-describedby.html">Test Page for Native Video Player with Extended Description and <code>aria-describedby</code></a></li>
          <li><a href="wcagtests/html5/extended-descriptions/video-native-stallman.html">Test Page for Native Video Player with <code>title</code> Attribute</a></li>
          <li><a href="wcagtests/html5/extended-descriptions/video-youtube-embed-stallman.html">Test Page for YouTube Video Player with <code>title</code> Attribute</a></li>
          <li><a href="wcagtests/html5/extended-descriptions/video-youtube-embed-stallman-aria-describedby.html">Test Page for YouTube Video Player with <code>title</code> and <code>aria-describedby</code> Attributes</a></li>
          <li><a href="wcagtests/html5/extended-descriptions/video-youtube-embed-stallman-aria-details.html">Test Page for YouTube Video Player with <code>title</code> and <code>aria-details</code> Attributes</a></li>
        </ul>
      </li>
      <li><a href="wcagtests/svg/svg-path-accessible-name/index.html">Test Pages for Path Elements in <abbr>SVG</abbr></a> (April 2023):
        <ul>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-label.html">Test Page for <code>aria-label</code> on Path Elements in <abbr>SVG</abbr></a>.</li>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-labelledby.html">Test Page for <code>aria-labelledby</code> on Path Elements in <abbr>SVG</abbr></a>.</li>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-labelledby-listitem.html">Test Page for <code>aria-labelledby</code> on Path Elements with Role <code>listitem</code> in <abbr>SVG</abbr></a>.</li>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-label-aria-details-dl.html">Test Page for <code>aria-label</code> and <code>aria-details</code> on Path Elements in <abbr>SVG</abbr> (Description List)</a>.</li>
          <li><a href="wcagtests/svg/svg-path-accessible-name/path-aria-label-aria-details-ul.html">Test Page for <code>aria-label</code> and <code>aria-details</code> on Path Elements in <abbr>SVG</abbr> (Normal List)</a>:.</li>
        </ul>
      </li>
    </ul>

    <h2>Examples of Various Failures</h2>
    <ul>
      <li><a href="badexamples/required-fields-color/required-fields-red-german.html" hreflang="de" lang="de">Pflichtfelder sind rot markiert</a> (form in which required fields have a red label).
        <a href="badexamples/required-fields-color/required-fields-red-german-after.html" hreflang="de" lang="de">Pflichtfelder sind rot und mit Sternchen markiert</a> (improved version of the previous page).
      </li>
      <li><a href="badexamples/blinking-marquee/index.html">Blinking and Marquee</a></li>
    </ul>

    <h2>Other Tests</h2>
    <ul>
      <li><a href="wcagtests/html5/laco/index.html"><abbr title="Language Coverage">LACO</abbr> Buttons</a></li>
      <li><a href="wcagtests/html5/date-time/index.html">Tests for Dates and Times</a></li>
    </ul>

    <h2>Other Pages</h2>
    <ul>
      <li><a href="index.html">Homepage</a></li>
      <li><a href="accessibility-statement.html">Accessibility Statement</a></li>
    </ul>
  </main>

  <footer id="footer">
    <p id="licence">
    <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">
    <img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="img/cc-licence-by-sa-88x31.png" />
    </a>
    <br />
    <a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a> by
    <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a>
    is licensed under a
    <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>
    <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks">fork the code</a> on GitLab.</p>
  </footer>
</body>
</html>
